<template>
  <div>
    <button-back />
    <goal-form
      :goal="goal"
      :submit="submit"
    />
  </div>
</template>

<script lang="ts">
  import Vue from 'vue'
  import GoalForm from '~/components/GoalForm.vue'
  import { vxm } from '~/store/store'
  import { Goal } from '~/utils/models'

  export default Vue.extend({
    components: {
      GoalForm
    },

    data () {
      const goal = vxm.goals.findByTitle(this.$route.params.id)
      return {
        goal
      }
    },

    methods: {
      async submit (model: Goal) {
        await vxm.goals.update(model)
        this.$router.replace(`/goals/${model.title}`)
      },
    },
  })
</script>
